# - Try to find Alsa
# Once done this will define
#
#  LIBALSA_FOUND - system has Alsa
#  LIBALSA_INCLUDE_DIR - the Alsa include directory
#  LIBALSA_LIBRARIES - the libraries needed to use Alsa
#  LIBALSA_DEFINITIONS - Compiler switches required for using Alsa
#
#  Important : this is a UNIX macro

MESSAGE (STATUS "CHECKING FOR LIBALSA ...")
IF(NOT UNIX)
    MESSAGE(SEND_ERROR "Alsa macro is only usable in Unix")
ENDIF(NOT UNIX)

IF (LIBALSA_INCLUDE_DIR AND LIBALSA_LIBRARIES)
   # in cache already
   SET(LIBALSA_FIND_QUIETLY TRUE)
ENDIF (LIBALSA_INCLUDE_DIR AND LIBALSA_LIBRARIES)


# use pkg-config to get the directories and then use these values
# in the FIND_PATH() and FIND_LIBRARY() calls
INCLUDE(UsePkgConfig)
PKGCONFIG(alsa _LIBALSAIncDir _LIBALSALinkDir _LIBALSALinkFlags _LIBALSACflags)
SET(LIBALSA_DEFINITIONS ${_LIBALSACflags})
SET(LIBALSA_INCLUDE_DIR ${_LIBALSAIncDir})
SET(LIBALSA_LIBRARIES ${_LIBALSALinkFlags})

MESSAGE (STATUS "LIBALSA_INCLUDE_DIR : ${LIBALSA_INCLUDE_DIR}")
MESSAGE (STATUS "LIBALSA_LIBRARIES : ${LIBALSA_LIBRARIES}")
   
IF (LIBALSA_INCLUDE_DIR AND LIBALSA_LIBRARIES)
   SET(LIBALSA_FOUND TRUE)
ELSE (LIBALSA_INCLUDE_DIR AND LIBALSA_LIBRARIES)
   SET(LIBALSA_FOUND FALSE)
ENDIF (LIBALSA_INCLUDE_DIR AND LIBALSA_LIBRARIES)

IF (LIBALSA_FOUND)
   IF (NOT LIBALSA_FIND_QUIETLY)
      MESSAGE(STATUS "Found LIBALSA: ${LIBALSA_LIBRARIES}")
   ENDIF (NOT LIBALSA_FIND_QUIETLY)
ELSE (LIBALSA_FOUND)
   IF (LIBALSA_FIND_REQUIRED)
      MESSAGE(SEND_ERROR "Could NOT find LIBALSA")
   ENDIF (LIBALSA_FIND_REQUIRED)
ENDIF (LIBALSA_FOUND)

MARK_AS_ADVANCED(LIBALSA_INCLUDE_DIR LIBALSA_LIBRARIES)

